Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::QueryWrapperFilter Class Reference

Constrains search results to only match those which also match a provided query. More...

`#include <QueryWrapperFilter.h>`

Inheritance diagram for Lucene::QueryWrapperFilter:

## Public Member Functions

| QueryWrapperFilter (QueryPtr query)
| Constructs a filter which only matches documents matching query. More...
virtual | ~QueryWrapperFilter ()
virtual String | getClassName ()
boost::shared_ptr < QueryWrapperFilter > | shared_from_this ()
virtual DocIdSetPtr | getDocIdSet (IndexReaderPtr reader)
| Creates a DocIdSet enumerating the documents that should be permitted in search results. More...
virtual String | toString ()
| Returns a string representation of the object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
Public Member Functions inherited from Lucene::Filter
virtual | ~Filter ()
boost::shared_ptr< Filter > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Filter
static String | _getClassName ()

## Protected Attributes

QueryPtr | query

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Constrains search results to only match those which also match a provided query.

This could be used, for example, with a TermRangeQuery on a suitably formatted date field to implement date filtering. One could re-use a single QueryFilter that matches, eg., only documents modified within the last week. The QueryFilter and TermRangeQuery would only need to be reconstructed once per day.

## Constructor & Destructor Documentation

Lucene::QueryWrapperFilter::QueryWrapperFilter | ( | QueryPtr | query) |  |

Constructs a filter which only matches documents matching query.

virtual Lucene::QueryWrapperFilter::~QueryWrapperFilter | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::QueryWrapperFilter::_getClassName | ( | ) |  |

inline static

virtual bool Lucene::QueryWrapperFilter::equals | ( | LuceneObjectPtr | other) |  |

virtual

Return whether two objects are equal.

Reimplemented from Lucene::LuceneObject.

virtual String Lucene::QueryWrapperFilter::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::Filter.

virtual DocIdSetPtr Lucene::QueryWrapperFilter::getDocIdSet | ( | IndexReaderPtr | reader) |  |

virtual

Creates a DocIdSet enumerating the documents that should be permitted in search results.

Note: null can be returned if no documents are accepted by this Filter.

Note: This method will be called once per segment in the index during searching. The returned DocIdSet must refer to document IDs for that segment, not for the top-level reader.

Parameters

  reader | a IndexReader instance opened on the index currently searched on. Note, it is likely that the provided reader does not represent the whole underlying index ie. if the index has more than one segment the given reader only represents a single segment.

Returns
  a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: null can be returned if no documents will be accepted by this Filter.

See Also
  DocIdBitSet

Implements Lucene::Filter.

virtual int32_t Lucene::QueryWrapperFilter::hashCode | ( | ) |  |

virtual

Return hash code for this object.

Reimplemented from Lucene::LuceneObject.

boost::shared_ptr< QueryWrapperFilter > Lucene::QueryWrapperFilter::shared_from_this | ( | ) |  |

inline

virtual String Lucene::QueryWrapperFilter::toString | ( | ) |  |

virtual

Returns a string representation of the object.

Reimplemented from Lucene::LuceneObject.

## Field Documentation

QueryPtr Lucene::QueryWrapperFilter::query

protected

The documentation for this class was generated from the following file:

- QueryWrapperFilter.h

clucene.sourceforge.net